"""empty message

Revision ID: 7402be36c784
Revises: 664b586c0c2b
Create Date: 2019-11-21 18:22:25.569395

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '7402be36c784'
down_revision = '664b586c0c2b'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('ix_vectors_coords', table_name='vectors')
    op.drop_column('vectors', 'coords')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('vectors',
                  sa.Column('coords', postgresql.ARRAY(postgresql.DOUBLE_PRECISION(precision=53)), autoincrement=False,
                            nullable=True))
    op.create_index('ix_vectors_coords', 'vectors', ['coords'], unique=False)
    # ### end Alembic commands ###
